#!/bin/bash

echo "Startup Hadoop FileSystem."

# setting env.

# jdk env

export JAVA_HOME=~/bigdata/jdk8u292-b10
export CLASSPATH=$JAVA_HOME/lib/dt.jar:$JAVA_HOME/lib/tools.jar
export PATH=$PATH:$JAVA_HOME/bin

java -version

# hadoop env

export HADOOP_ROOT_LOGGER=DEBUG,console
export HADOOP_HOME=~/bigdata/hadoop-2.7.4
export HADOOP_CONF_DIR=$HADOOP_HOME/etc/hadoop
export PATH=$PATH:$HADOOP_HOME/bin:$HADOOP_HOME/sbin

# some use dirs

mkdir -p ~/hdfs/namenode
mkdir -p ~/hdfs/datanode
mkdir -p ~/hdfs/tmp
mkdir -p ~/hdfs/logs

cp conf/core-site.xml $HADOOP_HOME/etc/hadoop
cp conf/hdfs-site.xml $HADOOP_HOME/etc/hadoop


# file not exists

if [ ! -f "$HADOOP_HOME/ok" ]; then

	$HADOOP_HOME/bin/hdfs namenode -format
	echo "fs format ok" > $HADOOP_HOME/ok
	echo "Format hdfs namenode OK!"
fi

$HADOOP_HOME/sbin/hadoop-daemon.sh start namenode
